#
# spec file for package python-semver
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-semver
Version:        2.7.9
Release:        lp150.1.3
Summary:        Python helper for Semantic Versioning
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/k-bx/python-semver
Source:         https://files.pythonhosted.org/packages/source/s/semver/semver-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A Python module for semantic versioning. Simplifies comparing versions.
See also http://semver.org/

%prep
%setup -q -n semver-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Nov 14 2017 arun@gmx.de
- update to version 2.7.9:
  * Issue #65 (PR #66). Add finalize_version function
* Fri Aug 25 2017 sebix+novell.com@sebix.at
- update to 2.7.8
  * PR #62. Support custom default names for pre and build
* Fri Jun  2 2017 sebix+novell.com@sebix.at
- initial package
